Skip to main content

Update Tag

Update an existing tag by its ID.


Endpoint

PATCH https://api.campaignlark.com/v1/tags/:id

Path Parameters

ParameterTypeRequiredDescription
idintegerrequiredThe tag ID.

Request Body

FieldTypeRequiredDescription
namestringrequiredThe tag name. 1–64 characters. Must be unique within the workspace.
descriptionstringoptionalA short description of the tag. Max 96 characters.

Sample Request

PATCH https://api.campaignlark.com/v1/tags/1
Content-Type: application/json

{
"name": "VIP Updated",
"description": "Updated description"
}

Response

Success — 200 OK

{
"data": {
"id": 1,
"name": "VIP Updated",
"description": "Updated description"
}
}

Errors

StatusMessageCause
404We were unable to find the tag.Tag does not exist in this workspace.
400Validation errorname is missing, empty, or exceeds 64 characters.
400Validation errordescription exceeds 96 characters.
400Validation errorA tag with the new name already exists in the workspace.
400Validation errorAn import or export is currently in progress.